ros-melodic-cob-light (0.7.0-1bionic) bionic; urgency=high

  * Merge pull request #380 <https://github.com/ipa320/cob_driver/issues/380> from ipa-jba/fix/boost_shared_ptr
    [Melodic] combined melodify pr
  * more constexpr in cob_light
  * c++11 for cob_light
  * fixed boost colors signal type
  * disable narrowing conversion warnings
  * fix "constexpr needed" compilation error
  * Merge pull request #396 <https://github.com/ipa320/cob_driver/issues/396> from HannesBachter/indigo_dev
    0.6.15
  * Contributors: Benjamin Maidel, Felix Messmer, Jannik Abbenseth

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-light (0.6.15-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jul 2019 22:00:00 -0000

ros-melodic-cob-light (0.6.14-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 06 Jun 2019 22:00:00 -0000

ros-melodic-cob-light (0.6.13-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-light (0.6.12-1bionic) bionic; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-light (0.6.11-1bionic) bionic; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-light (0.6.10-1bionic) bionic; urgency=high

  * fixed function return value
  * Contributors: Benjamin Maidel

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 23 Jul 2017 22:00:00 -0000

ros-melodic-cob-light (0.6.9-1bionic) bionic; urgency=high

  * added test script
    added test script
    added test script
    fix
    fix
    fix
    added additional mode to test scripts
    speed up test scripts
  * protect callbacks with scoped locks
  * void function
  * manually fix changelog
  * xmas mode corrections
  * added new lightmode xmas
  * Contributors: Benjamin Maidel, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 17 Jul 2017 22:00:00 -0000

ros-melodic-cob-light (0.6.8-1bionic) bionic; urgency=high

  * return true for stop mode service to avoid ugly error messages on client side
  * fix tab vs spaces
  * at static mode send color to driver on begin of update cylce
  * set freq to default 1.0 if not set by requested mode
  * Contributors: Benjamin Maidel, ipa-fmw, msh

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-light (0.6.7-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 01 Apr 2016 22:00:00 -0000

ros-melodic-cob-light (0.6.6-1bionic) bionic; urgency=high

  * keep static mode running so they can be stopped, paused and resumed
  * fixes
  * comments
  * param tuning
  * implemented new mode glow
  * implemented feature to resume modes if modes with higher prio ends + refactored code
  * considered #241 <https://github.com/ipa320/cob_driver/issues/241> PR comments
  * high distances visualized with a lighter green
  * moved light dist approx function to cob_light driver
  * wip light_approximation
  * Merge branch 'feature/led_offset' into feature/light_approximation
  * fix
  * added node for scan approxiamtion led visualization
  * added param to define led mounting offset
  * fixed ms35 controller bug
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_driver into indigo_dev
    Conflicts:
    cob_light/CMakeLists.txt
  * added headers to add_executable makro for qt_creator visiblity
  * Contributors: Benjamin Maidel, bnm

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-light (0.6.5-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-light (0.6.4-1bionic) bionic; urgency=high

  * boost revision
  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 24 Aug 2015 22:00:00 -0000

ros-melodic-cob-light (0.6.3-1bionic) bionic; urgency=high

  * use component namespaces for light, mimic and say
  * make visualization marker frame configurable
  * publish contiuous diagnostics
  * small fixes
  * Merge branch 'feature/newCircleMode' into feature/newSweepMode
    Conflicts:
    cob_light/common/src/modeFactory.cpp
  * added color array msg
  * modified message description
  * added new sweep color mode
  * Merge pull request #190 <https://github.com/ipa320/cob_driver/issues/190> from ipa-bnm/bug/infinit-send-error
    bugfix infinit-send-error
  * Merge branch 'bug/infinit-send-error' into indigo_dev
  * fix stageprofi init
  * check for acknowledge message from controller
  * recover serial connection and driver if there was an error during sending
  * Contributors: Benjamin Maidel, Florian Weisshardt, ipa-fmw

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-light (0.6.2-1bionic) bionic; urgency=high

  * fix warning message
  * Merge pull request #188 <https://github.com/ipa320/cob_driver/issues/188> from ipa-bnm/feature/newCircleMode
    feature/new-circle-mode and bugfixes
  * Merge branch 'feature/newCircleMode' of https://github.com/ipa-bnm/cob_driver into indigo_new_structure
  * change default frequency and fix breath mode
  * Merge branch 'indigo_dev' of https://github.com/ipa-nhg/cob_driver into ipa-nhg-indigo_dev
  * added circle color mode test script
  * fixed circle color mode
  * implemented new circular mode
  * defined 1Hz startup frecuency
  * frequency corresponds to choosen mode
  * fix
  * removed debug output
  * fixes to stagedriver and some refactoring
  * write stageprofi colors for all dmx channels within one command
  * cleanup
  * queue messages
  * added concurrent queue
  * merge conflict
  * typo fix
  * Tested on cob4-2 for all modes
  * Changes for the LED driver without led numbers
  * Tested on cob4-2
  * Temporary commit for tests
  * CHanges for array of leds
  * Merge branch 'indigo_dev' of https://github.com/ipa320/cob_driver into indigo_dev
    Conflicts:
    cob_light/ros/src/ms35.cpp
  * Removed unecessary debug
  * fix minor compiler warning
  * new line at end of file
  * Changes formatting
  * Support for the StageProfi board on cob_light
  * Contributors: Benjamin Maidel, Florian Weisshardt, bnm, ipa-cob4-2, ipa-fmw, ipa-fxm, ipa-nhg, thiagodefreitas

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-melodic-cob-light (0.6.1-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Sep 2014 22:00:00 -0000

ros-melodic-cob-light (0.6.0-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 08 Sep 2014 22:00:00 -0000

ros-melodic-cob-light (0.5.7-1bionic) bionic; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * 0.5.6
  * update changelog
  * added explicit default argument queue_size
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * port settings fixed
  * added light support for conrad ms-35 led controller
  * Contributors: Alexander Bubeck, Felix Messmer, Florian Weisshardt, ipa-bnm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 25 Aug 2014 22:00:00 -0000

ros-melodic-cob-light (0.5.6-1bionic) bionic; urgency=high

  * Merge pull request #163 <https://github.com/ipa320/cob_driver/issues/163> from ipa320/hydro_dev
    updates from hydro_dev
  * added explicit default argument queue_size
  * Cleaned up cob_driver with reduced deps to compile on indigo
  * port settings fixed
  * added light support for conrad ms-35 led controller
  * Contributors: Alexander Bubeck, Felix Messmer, Florian Weisshardt, ipa-bnm

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 25 Aug 2014 22:00:00 -0000

ros-melodic-cob-light (0.5.3-1bionic) bionic; urgency=high

  * install tags
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Mar 2014 22:00:00 -0000

ros-melodic-cob-light (0.5.2-1bionic) bionic; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 19 Mar 2014 23:00:00 -0000

ros-melodic-cob-light (0.5.1-1bionic) bionic; urgency=high

  * change Error to warning
  * console feedback if mode finished
  * bugfixed segfault if a freq with zero was set (default freq = 10Hz)
  * changed timeout to si unit (ms -> s)
  * cleaned up CMakeLists and added install directives
  * merged with ipa320
  * added missing message_gen deps
  * merge ipa320
  * futher include and linkpath modifications
  * add message dependencies
  * compiling but still some linker errors
  * Second catkinization push
  * First catkinization, still need to update some CMakeLists.txt
  * added diagnostics to cob_light
  * startup color and mode can now be defined by parameters
  * worked on simulation mode
  * fixed reading params from parameterserver
  * some refactoring
  * added some more source code description
  * service got same return type as the action
  * refactor
  * modes reflect their name
  * add __SIM__ ifdef to cob_light
  * new cob light driver
  * enable light marker by default
  * updated cob_light
  * added rosparam to set inversion mask instead of using environment variable
  * cob_light re-inserted
  * hwboard updated
  * added check for existance of Robot environment variable, if not available default cob setting is used
  * removed old python light node
  * last modifications after testing
  * some fixes to new cob_light node. tested and working
  * turning off leds on init
  * removed lightmode stuff (breathing, flasing...) from cob_light python driver
  * moved light control (sound, breath, flash...) from cob_light driver into own package
  * merged cob_lights
  * merge
  * testing cpp cob_light node
  * some modifications for correct fft analysis
  * callback func for soundcontroller
  * added cob_light cpp node with soundanalyser capabilities over fft
  * ported cob_light controller to cpp
  * added led breath functionality and a service to change led mode
  * add message output for device name
  * fix for light on cob3-3
  * remove deprecated Light message
  * publish light marker continuously
  * Change to ColorRGBA message the light test
  * changed light to std_msgs/ColorRGBA message
  * add simulation variant of light sensors and publish visualization marker
  * Deleted launch tests in CMakeLists
  * Moved light.launch to cob_bringup
  * moved the light parameter configuration to cob_hardware_config
  * moved the light parameter configuration to cob_hardware_config
  * merge
  * added roslaunch tests
  * undo previous merge + commits
  * merge with review-sven
  * cameras working and calibrated
  * update stacks
  * moved light message to cob_light
  * cleanup in cob_driver
  * adapt light for cob3-2
  * light device for cob3-2
  * update documentation and deleted tf broadcaster
  * modification for cob3-2
  * adaption to light
  * launch file and parameter check for cob_light
  * changed light topic
  * changes on light controller
  * cib_light is working
  * new package for lights, not working yet
  * Contributors: Alexander Bubeck, abubeck, cob-hardware-test, cob3-1-pc2, cpc-pk, fmw, ipa-bnm, ipa-fmw, ipa-nhg, ipa-uhr-eh, ipa-uhr-fm

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 19 Mar 2014 23:00:00 -0000


